Skip to main content
PATCH
JavaScript

Query Parameters

directory
string
workspace
string

Body

application/json
$schema
string

JSON schema reference for configuration validation

logLevel
enum<string>

Log level

Available options:
DEBUG,
INFO,
WARN,
ERROR
server
object

Server configuration for cognitio serve and web commands

command
object

Command configuration

skills
object

Additional skill folder paths

watcher
object
snapshot
boolean

Enable or disable snapshot tracking. When false, filesystem snapshots are not recorded and undoing or reverting will not undo/redo file changes. Defaults to true.

plugin
(string | object)[]
share
enum<string>

Control sharing behavior:'manual' allows manual sharing via commands, 'auto' enables automatic sharing, 'disabled' disables all sharing

Available options:
manual,
auto,
disabled
autoshare
boolean

@deprecated Use 'share' field instead. Share newly created sessions automatically

autoupdate

Automatically update to the latest version. Set to true to auto-update, false to disable, or 'notify' to show update notifications

disabled_providers
string[]

Disable providers that are loaded automatically

enabled_providers
string[]

When set, ONLY these providers will be enabled. All other providers will be ignored

model
string

Model to use in the format of provider/model, eg anthropic/claude-2

small_model
string

Small model to use for tasks like title generation in the format of provider/model

default_agent
string

Default agent to use when none is specified. Must be a primary agent. Falls back to 'build' if not set or if the specified agent is invalid.

username
string

Custom username to display in conversations instead of system username

mode
object

@deprecated Use agent field instead.

agent
object

Agent configuration

provider
object

Custom provider configurations and model overrides

mcp
object

MCP (Model Context Protocol) server configurations

formatter
lsp
instructions
string[]

Additional instruction files or patterns to include

layout
enum<string>

@deprecated Always uses stretch layout.

Available options:
auto,
stretch
permission
tools
object
enterprise
object
compaction
object
experimental
object

Response

Successfully updated config

$schema
string

JSON schema reference for configuration validation

logLevel
enum<string>

Log level

Available options:
DEBUG,
INFO,
WARN,
ERROR
server
object

Server configuration for cognitio serve and web commands

command
object

Command configuration

skills
object

Additional skill folder paths

watcher
object
snapshot
boolean

Enable or disable snapshot tracking. When false, filesystem snapshots are not recorded and undoing or reverting will not undo/redo file changes. Defaults to true.

plugin
(string | object)[]
share
enum<string>

Control sharing behavior:'manual' allows manual sharing via commands, 'auto' enables automatic sharing, 'disabled' disables all sharing

Available options:
manual,
auto,
disabled
autoshare
boolean

@deprecated Use 'share' field instead. Share newly created sessions automatically

autoupdate

Automatically update to the latest version. Set to true to auto-update, false to disable, or 'notify' to show update notifications

disabled_providers
string[]

Disable providers that are loaded automatically

enabled_providers
string[]

When set, ONLY these providers will be enabled. All other providers will be ignored

model
string

Model to use in the format of provider/model, eg anthropic/claude-2

small_model
string

Small model to use for tasks like title generation in the format of provider/model

default_agent
string

Default agent to use when none is specified. Must be a primary agent. Falls back to 'build' if not set or if the specified agent is invalid.

username
string

Custom username to display in conversations instead of system username

mode
object

@deprecated Use agent field instead.

agent
object

Agent configuration

provider
object

Custom provider configurations and model overrides

mcp
object

MCP (Model Context Protocol) server configurations

formatter
lsp
instructions
string[]

Additional instruction files or patterns to include

layout
enum<string>

@deprecated Always uses stretch layout.

Available options:
auto,
stretch
permission
tools
object
enterprise
object
compaction
object
experimental
object